<!-- progress_drawable.xml -->
<layer-list xmlns:android="http://schemas.android.com/apk/res/android">

    <!-- 未完成的背景部分 -->
    <item android:id="@android:id/background">
        <shape>
            <corners android:radius="5dp" />
            <solid android:color="#D8D8D8" /> <!-- 未完成部分的颜色 -->
        </shape>
    </item>

    <!-- 完成的进度部分 -->
    <item android:id="@android:id/progress">
        <clip>
            <shape>
                <corners android:radius="5dp" />
                <solid android:color="#505BC8" /> <!-- 完成部分的颜色 -->
            </shape>
        </clip>
    </item>

    <!-- 次级进度部分（如缓冲进度） -->
    <item android:id="@android:id/secondaryProgress">
        <clip>
            <shape>
                <corners android:radius="5dp" />
                <solid android:color="#A9A9A9" /> <!-- 次级进度的颜色 -->
            </shape>
        </clip>
    </item>

</layer-list>
